Subject: bug#55047: Bug: Abort Dialog upon start

From: hermit sings <[email-masked]>
Date: Sun, 1 May 2022 15:48:54 +0000 (UTC)

Yes, the Abort dialog appears for each case, after displaying the image.

    On Sunday, 1 May, 2022, 08:59:32 pm IST, Eli Zaretskii <[email-masked]> wrote:  
 
 > Date: Sun, 1 May 2022 15:22:21 +0000 (UTC)
> From: hermit sings <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, 
>     "[email-masked]" <[email-masked]>
> 
> I actually didn't know about the emacs init file. But I searched for it on the web. I understand that it should be
> in `.emacs.d` in 'AppData\Roaming' folder in Windows?
> But there was none. So according to an answer I read on Stackoverflow, I created a file `init.el` and left it
> blank.
> Then started Emacs normally and via Command Prompt. It still, however, shows the Abort dialog for both.
> 
> For the second one: yes! It starts showing the Abort dialog after displaying the `splash.svg`.

So this seems to be related to librsvg, the library used to display
SVG images, or some of its dependencies.

What happens if you start with -Q, and then do this:

  C-x C-f C:/Program Files/Emacs/emacs-28.1/share/emacs/28.1/etc/images/splash.png RET

That is, ask Emacs to display the splash image in PNG format?  Please
also try with splash.xpm and splash.pbm.